#!/usr/bin/ruby
dir = './'
Dir.chdir(dir)
unless File.exists? 'lib/rdoc.rb'
  $stderr.puts "not an unpacked ruby tarball? no lib/rdoc.rb found."
  exit 1
end
$:.unshift(File.join(dir,"lib"))
require 'rdoc'
Dir['**/*.gemspec'].sort.each do |gemspec_path|
  next if /(test|spec)\// =~ gemspec_path
  # $stderr.puts "Handling #{gemspec_path}"
  gemspec = Gem::Specification.load(gemspec_path)
  version_split = gemspec.version.segments
  if gemspec.version.prerelease?
    version_split = version_split.slice(0,3) << version_split.slice(-2,2).join()
  end

  macro = version_split.length > 3 ? '%gen_embedded_provides5' : '%gen_embedded_provides4'
  puts "#{macro} #{gemspec.name} #{version_split.join(" ")}"
end
